Subject: Re: ncurses/termcap, just won't clear the screen?
From: [email-masked] (Michael Hirmke)

24 May 1997 08:49:06 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
In-Reply-To: <[email-masked]>
X-Mailer: CrossPoint v3.11 R/C9763
x-irc-nick: nobanzai
x-no-archive: yes
Original-Sender: [email-masked]

Hi eric,

[...]
> Try this:
> 
> #include <stdio.h>
> int
> main()
> {
> 	printf("\033[2J");
> }
> 
> Compile and run it, if it clears the screen your term has the
> properties of a proper terminal.
> 
> BTW my $TERM is ansi. I set it in autoexec.bat. I seem to recall when
> I used linux term it didnt clear my screen either.

I use NT 4 with SP3 and CDK b18 and it works properly with TERM=ansi
*and* TERM=linux !

Bye.
Michael.
-- 
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  [email-masked]
                         | WWW     http://minimike.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".